.changestyle div {
    width: 50px;
    height:50px;
    background-color: red;
    transition: 0.5s all;
}

.changestyle .changestyle-blue {
    background-color: cyan;
    box-shadow: 2px 2px #666;

}